Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GL

All Superinterfaces:
  GLBase

All Known Subinterfaces:
  GL2, GL2ES1, GL2ES2, GL2GL3, GL3, GLES1, GLES2

All Known Implementing Classes:
  DebugGL2, DebugGL2ES1, DebugGL2ES2, DebugGL2GL3, DebugGL3, DebugGLES1, DebugGLES2, FixedFuncImpl, TraceGL2, TraceGL2ES1, TraceGL2ES2, TraceGL2GL3, TraceGL3, TraceGLES1, TraceGLES2

    public interface GL

extends GLBase

Common interface containing the subset of all profiles, GL3, GL2, GLES1 and GLES2.
This interface reflects common data types, texture and framebuffer functionality.

Field Summary
`static int` | `GL_ACTIVE_TEXTURE` Part of `GL_VERSION_1_3`
`static int` | `GL_ALIASED_LINE_WIDTH_RANGE` Part of `GL_VERSION_1_2`
`static int` | `GL_ALIASED_POINT_SIZE_RANGE` Part of `GL_VERSION_1_2`
`static int` | `GL_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_ALPHA_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_ALWAYS` Part of `GL_VERSION_1_0`
`static int` | `GL_AND` Common in ES1, GL2 and GL3
`static int` | `GL_AND_INVERTED` Common in ES1, GL2 and GL3
`static int` | `GL_AND_REVERSE` Common in ES1, GL2 and GL3
`static int` | `GL_ARRAY_BUFFER` Part of `GL_VERSION_1_5`
`static int` | `GL_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_BACK` Part of `GL_VERSION_1_0`
`static int` | `GL_BLEND` Part of `GL_VERSION_1_0`
`static int` | `GL_BLEND_DST` Common in ES1, GL2 and GL3
`static int` | `GL_BLEND_DST_ALPHA` Part of `GL_VERSION_1_4`
`static int` | `GL_BLEND_DST_RGB` Part of `GL_VERSION_1_4`
`static int` | `GL_BLEND_EQUATION` Part of `GL_ARB_imaging`
`static int` | `GL_BLEND_EQUATION_ALPHA` Part of `GL_VERSION_2_0`
`static int` | `GL_BLEND_EQUATION_RGB` Part of `GL_VERSION_2_0`
`static int` | `GL_BLEND_SRC` Common in ES1, GL2 and GL3
`static int` | `GL_BLEND_SRC_ALPHA` Part of `GL_VERSION_1_4`
`static int` | `GL_BLEND_SRC_RGB` Part of `GL_VERSION_1_4`
`static int` | `GL_BLUE_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_BUFFER_ACCESS` Common in ES1, GL2 and GL3
`static int` | `GL_BUFFER_MAP_POINTER` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`static int` | `GL_BUFFER_MAPPED` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`static int` | `GL_BUFFER_SIZE` Part of `GL_VERSION_1_5`
`static int` | `GL_BUFFER_USAGE` Part of `GL_VERSION_1_5`
`static int` | `GL_BYTE` Part of `GL_VERSION_1_0`
`static int` | `GL_CCW` Part of `GL_VERSION_1_0`
`static int` | `GL_CLAMP_TO_EDGE` Part of `GL_VERSION_1_2`
`static int` | `GL_CLEAR` Common in ES1, GL2 and GL3
`static int` | `GL_COLOR_ATTACHMENT0` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_BUFFER_BIT` Part of `GL_VERSION_1_0`
`static int` | `GL_COLOR_CLEAR_VALUE` Part of `GL_VERSION_1_0`
`static int` | `GL_COLOR_LOGIC_OP` Common in ES1, GL2 and GL3
`static int` | `GL_COLOR_WRITEMASK` Part of `GL_VERSION_1_0`
`static int` | `GL_COMPRESSED_RGB_S3TC_DXT1_EXT` Part of `GL_EXT_texture_compression_s3tc`
`static int` | `GL_COMPRESSED_RGBA_S3TC_DXT1_EXT` Part of `GL_EXT_texture_compression_s3tc`
`static int` | `GL_COMPRESSED_RGBA_S3TC_DXT3_EXT` Part of `GL_EXT_texture_compression_s3tc`
`static int` | `GL_COMPRESSED_RGBA_S3TC_DXT5_EXT` Part of `GL_EXT_texture_compression_s3tc`
`static int` | `GL_COMPRESSED_TEXTURE_FORMATS` Part of `GL_VERSION_1_3`
`static int` | `GL_COPY` Common in ES1, GL2 and GL3
`static int` | `GL_COPY_INVERTED` Common in ES1, GL2 and GL3
`static int` | `GL_CULL_FACE` Part of `GL_VERSION_1_0`
`static int` | `GL_CULL_FACE_MODE` Part of `GL_VERSION_1_0`
`static int` | `GL_CW` Part of `GL_VERSION_1_0`
`static int` | `GL_DECR` Part of `GL_VERSION_1_0`
`static int` | `GL_DECR_WRAP` Part of `GL_VERSION_1_4`
`static int` | `GL_DEPTH_ATTACHMENT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DEPTH_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_BUFFER_BIT` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_CLEAR_VALUE` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_COMPONENT16` Part of `GL_VERSION_1_4`
`static int` | `GL_DEPTH_COMPONENT24` Common in ES1, GL2 and GL3
`static int` | `GL_DEPTH_COMPONENT32` Common in ES1, GL2 and GL3
`static int` | `GL_DEPTH_FUNC` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_RANGE` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_TEST` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_WRITEMASK` Part of `GL_VERSION_1_0`
`static int` | `GL_DITHER` Part of `GL_VERSION_1_0`
`static int` | `GL_DONT_CARE` Part of `GL_VERSION_1_0`
`static int` | `GL_DST_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_DST_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_DYNAMIC_DRAW` Part of `GL_VERSION_1_5`
`static int` | `GL_ELEMENT_ARRAY_BUFFER` Part of `GL_VERSION_1_5`
`static int` | `GL_ELEMENT_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_EQUAL` Part of `GL_VERSION_1_0`
`static int` | `GL_EQUIV` Common in ES1, GL2 and GL3
`static int` | `GL_EXTENSIONS` Part of `GL_VERSION_1_0`
`static int` | `GL_FALSE` Part of `GL_VERSION_1_0`
`static int` | `GL_FASTEST` Part of `GL_VERSION_1_0`
`static int` | `GL_FIXED` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_FLOAT` Part of `GL_VERSION_1_0`
`static int` | `GL_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER` Part of `GL_ARB_framebuffer_object, GL_EXT_geometry_shader4`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_COMPLETE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_FORMATS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_UNSUPPORTED` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRONT` Part of `GL_VERSION_1_0`
`static int` | `GL_FRONT_AND_BACK` Part of `GL_VERSION_1_0`
`static int` | `GL_FRONT_FACE` Part of `GL_VERSION_1_0`
`static int` | `GL_FUNC_ADD` Part of `GL_ARB_imaging`
`static int` | `GL_FUNC_REVERSE_SUBTRACT` Part of `GL_ARB_imaging`
`static int` | `GL_FUNC_SUBTRACT` Part of `GL_ARB_imaging`
`static int` | `GL_GENERATE_MIPMAP_HINT` Part of `GL_VERSION_1_4`
`static int` | `GL_GEQUAL` Part of `GL_VERSION_1_0`
`static int` | `GL_GREATER` Part of `GL_VERSION_1_0`
`static int` | `GL_GREEN_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_HALF_FLOAT` Part of `GL_ARB_half_float_vertex, GL_OES_texture_half_float`
`static int` | `GL_IMPLEMENTATION_COLOR_READ_FORMAT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_IMPLEMENTATION_COLOR_READ_TYPE` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_INCR` Part of `GL_VERSION_1_0`
`static int` | `GL_INCR_WRAP` Part of `GL_VERSION_1_4`
`static int` | `GL_INVALID_ENUM` Part of `GL_VERSION_1_0`
`static int` | `GL_INVALID_FRAMEBUFFER_OPERATION` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_INVALID_OPERATION` Part of `GL_VERSION_1_0`
`static int` | `GL_INVALID_VALUE` Part of `GL_VERSION_1_0`
`static int` | `GL_INVERT` Part of `GL_VERSION_1_0`
`static int` | `GL_KEEP` Part of `GL_VERSION_1_0`
`static int` | `GL_LEQUAL` Part of `GL_VERSION_1_0`
`static int` | `GL_LESS` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE_LOOP` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE_SMOOTH` Common in ES1, GL2 and GL3
`static int` | `GL_LINE_SMOOTH_HINT` Common in ES1, GL2 and GL3
`static int` | `GL_LINE_STRIP` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE_WIDTH` Part of `GL_VERSION_1_0`
`static int` | `GL_LINEAR` Part of `GL_VERSION_1_0`
`static int` | `GL_LINEAR_MIPMAP_LINEAR` Part of `GL_VERSION_1_0`
`static int` | `GL_LINEAR_MIPMAP_NEAREST` Part of `GL_VERSION_1_0`
`static int` | `GL_LINES` Part of `GL_VERSION_1_0`
`static int` | `GL_LOGIC_OP_MODE` Common in ES1, GL2 and GL3
`static int` | `GL_LUMINANCE` Part of `GL_VERSION_1_0`
`static int` | `GL_LUMINANCE_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_ARRAY_TEXTURE_LAYERS` Part of `GL_VERSION_3_0, GL_EXT_texture_array`
`static int` | `GL_MAX_CUBE_MAP_TEXTURE_SIZE` Part of `GL_VERSION_1_3`
`static int` | `GL_MAX_RENDERBUFFER_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT` Part of `GL_EXT_texture_filter_anisotropic`
`static int` | `GL_MAX_TEXTURE_SIZE` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_VIEWPORT_DIMS` Part of `GL_VERSION_1_0`
`static int` | `GL_MIRRORED_REPEAT` Part of `GL_VERSION_1_4`
`static int` | `GL_MULTISAMPLE` Common in ES1, GL2 and GL3
`static int` | `GL_NAND` Common in ES1, GL2 and GL3
`static int` | `GL_NEAREST` Part of `GL_VERSION_1_0`
`static int` | `GL_NEAREST_MIPMAP_LINEAR` Part of `GL_VERSION_1_0`
`static int` | `GL_NEAREST_MIPMAP_NEAREST` Part of `GL_VERSION_1_0`
`static int` | `GL_NEVER` Part of `GL_VERSION_1_0`
`static int` | `GL_NICEST` Part of `GL_VERSION_1_0`
`static int` | `GL_NO_ERROR` Part of `GL_VERSION_1_0`
`static int` | `GL_NONE` Part of `GL_VERSION_1_0`
`static int` | `GL_NOOP` Common in ES1, GL2 and GL3
`static int` | `GL_NOR` Common in ES1, GL2 and GL3
`static int` | `GL_NOTEQUAL` Part of `GL_VERSION_1_0`
`static int` | `GL_NUM_COMPRESSED_TEXTURE_FORMATS` Part of `GL_VERSION_1_3`
`static int` | `GL_ONE` Part of `GL_VERSION_1_0`
`static int` | `GL_ONE_MINUS_DST_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_ONE_MINUS_DST_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_ONE_MINUS_SRC_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_ONE_MINUS_SRC_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_OR` Common in ES1, GL2 and GL3
`static int` | `GL_OR_INVERTED` Common in ES1, GL2 and GL3
`static int` | `GL_OR_REVERSE` Common in ES1, GL2 and GL3
`static int` | `GL_OUT_OF_MEMORY` Part of `GL_VERSION_1_0`
`static int` | `GL_PACK_ALIGNMENT` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_FADE_THRESHOLD_SIZE` Common in ES1, GL2 and GL3
`static int` | `GL_POINT_SIZE` Common in ES1, GL2 and GL3
`static int` | `GL_POINTS` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_OFFSET_FACTOR` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_OFFSET_FILL` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_OFFSET_UNITS` Part of `GL_VERSION_1_0`
`static int` | `GL_R11F_G11F_B10F` Part of `GL_VERSION_3_0, GL_EXT_packed_float`
`static int` | `GL_RED_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_RENDERBUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_ALPHA_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_BLUE_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_DEPTH_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_GREEN_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_HEIGHT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_INTERNAL_FORMAT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_RED_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERBUFFER_WIDTH` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RENDERER` Part of `GL_VERSION_1_0`
`static int` | `GL_REPEAT` Part of `GL_VERSION_1_0`
`static int` | `GL_REPLACE` Part of `GL_VERSION_1_0`
`static int` | `GL_RGB` Part of `GL_VERSION_1_0`
`static int` | `GL_RGB5_A1` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB565` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_RGB8` Part of `GL_VERSION_1_1, GL_OES_rgb8_rgba8`
`static int` | `GL_RGBA` Part of `GL_VERSION_1_0`
`static int` | `GL_RGBA_SIGNED_COMPONENTS` Part of `GL_EXT_packed_float`
`static int` | `GL_RGBA4` Part of `GL_VERSION_1_1`
`static int` | `GL_RGBA8` Part of `GL_VERSION_1_1, GL_OES_rgb8_rgba8`
`static int` | `GL_SAMPLE_ALPHA_TO_COVERAGE` Part of `GL_VERSION_1_3`
`static int` | `GL_SAMPLE_ALPHA_TO_ONE` Common in ES1, GL2 and GL3
`static int` | `GL_SAMPLE_BUFFERS` Part of `GL_VERSION_1_3`
`static int` | `GL_SAMPLE_COVERAGE` Part of `GL_VERSION_1_3`
`static int` | `GL_SAMPLE_COVERAGE_INVERT` Part of `GL_VERSION_1_3`
`static int` | `GL_SAMPLE_COVERAGE_VALUE` Part of `GL_VERSION_1_3`
`static int` | `GL_SAMPLER_2D_ARRAY` Part of `GL_VERSION_3_0, GL_EXT_gpu_shader4`
`static int` | `GL_SAMPLES` Part of `GL_VERSION_1_3`
`static int` | `GL_SCISSOR_BOX` Part of `GL_VERSION_1_0`
`static int` | `GL_SCISSOR_TEST` Part of `GL_VERSION_1_0`
`static int` | `GL_SET` Common in ES1, GL2 and GL3
`static int` | `GL_SHORT` Part of `GL_VERSION_1_0`
`static int` | `GL_SMOOTH_LINE_WIDTH_RANGE` Common in ES1, GL2 and GL3
`static int` | `GL_SMOOTH_POINT_SIZE_RANGE` Common in ES1, GL2 and GL3
`static int` | `GL_SRC_ALPHA` Part of `GL_VERSION_1_0`
`static int` | `GL_SRC_ALPHA_SATURATE` Part of `GL_VERSION_1_0`
`static int` | `GL_SRC_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_STATIC_DRAW` Part of `GL_VERSION_1_5`
`static int` | `GL_STENCIL_ATTACHMENT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_STENCIL_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_BUFFER_BIT` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_CLEAR_VALUE` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_FAIL` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_FUNC` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_INDEX1` Common in ES1, GL2 and GL3
`static int` | `GL_STENCIL_INDEX4` Common in ES1, GL2 and GL3
`static int` | `GL_STENCIL_INDEX8` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_STENCIL_PASS_DEPTH_FAIL` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_PASS_DEPTH_PASS` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_REF` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_TEST` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_VALUE_MASK` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_WRITEMASK` Part of `GL_VERSION_1_0`
`static int` | `GL_SUBPIXEL_BITS` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_2D` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_2D_ARRAY` Part of `GL_VERSION_3_0, GL_EXT_texture_array`
`static int` | `GL_TEXTURE_BINDING_2D` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_BINDING_2D_ARRAY` Part of `GL_VERSION_3_0, GL_EXT_texture_array`
`static int` | `GL_TEXTURE_BINDING_CUBE_MAP` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_X` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_Y` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_Z` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_X` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_Y` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_Z` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_MAG_FILTER` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_MAX_ANISOTROPY_EXT` Part of `GL_EXT_texture_filter_anisotropic`
`static int` | `GL_TEXTURE_MIN_FILTER` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_WRAP_S` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_WRAP_T` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE0` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE1` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE10` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE11` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE12` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE13` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE14` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE15` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE16` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE17` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE18` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE19` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE2` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE20` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE21` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE22` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE23` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE24` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE25` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE26` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE27` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE28` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE29` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE3` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE30` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE31` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE4` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE5` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE6` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE7` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE8` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE9` Part of `GL_VERSION_1_3`
`static int` | `GL_TRIANGLE_FAN` Part of `GL_VERSION_1_0`
`static int` | `GL_TRIANGLE_STRIP` Part of `GL_VERSION_1_0`
`static int` | `GL_TRIANGLES` Part of `GL_VERSION_1_0`
`static int` | `GL_TRUE` Part of `GL_VERSION_1_0`
`static int` | `GL_UNPACK_ALIGNMENT` Part of `GL_VERSION_1_0`
`static int` | `GL_UNSIGNED_BYTE` Part of `GL_VERSION_1_0`
`static int` | `GL_UNSIGNED_INT_10F_11F_11F_REV` Part of `GL_VERSION_3_0, GL_EXT_packed_float`
`static int` | `GL_UNSIGNED_SHORT` Part of `GL_VERSION_1_0`
`static int` | `GL_UNSIGNED_SHORT_4_4_4_4` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_SHORT_5_5_5_1` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_SHORT_5_6_5` Part of `GL_VERSION_1_2`
`static int` | `GL_VENDOR` Part of `GL_VERSION_1_0`
`static int` | `GL_VERSION` Part of `GL_VERSION_1_0`
`static int` | `GL_VIEWPORT` Part of `GL_VERSION_1_0`
`static int` | `GL_WRITE_ONLY` Common in ES1, GL2 and GL3
`static int` | `GL_XOR` Common in ES1, GL2 and GL3
`static int` | `GL_ZERO` Part of `GL_VERSION_1_0`

Method Summary
`void` | `glActiveTexture(int texture)` Interface to C language function: `void glActiveTexture(GLenum texture);`
`void` | `glBindBuffer(int target, int buffer)` Interface to C language function: `void glBindBuffer(GLenum target, GLuint buffer);`
`void` | `glBindFramebuffer(int target, int framebuffer)` Interface to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer);`
`void` | `glBindRenderbuffer(int target, int renderbuffer)` Interface to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`
`void` | `glBindTexture(int target, int texture)` Interface to C language function: `void glBindTexture(GLenum target, GLuint texture);`
`void` | `glBlendEquation(int mode)` Interface to C language function: `void glBlendEquation(GLenum mode);`
`void` | `glBlendEquationSeparate(int modeRGB, int modeAlpha)` Interface to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`
`void` | `glBlendFunc(int sfactor, int dfactor)` Interface to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor);`
`void` | `glBlendFuncSeparate(int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)` Interface to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`
`void` | `glBufferData(int target, int size, Buffer data, int usage)` Interface to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`
`void` | `glBufferSubData(int target, int offset, int size, Buffer data)` Interface to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`
`int` | `glCheckFramebufferStatus(int target)` Interface to C language function: `GLenum glCheckFramebufferStatus(GLenum target);`
`void` | `glClear(int mask)` Interface to C language function: `void glClear(GLbitfield mask);`
`void` | `glClearColor(float red, float green, float blue, float alpha)` Interface to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glClearDepth(double depth)`
`void` | `glClearDepthf(float depth)` Interface to C language function: `void glClearDepthf(GLclampf depth);`
`void` | `glClearStencil(int s)` Interface to C language function: `void glClearStencil(GLint s);`
`void` | `glColorMask(boolean red, boolean green, boolean blue, boolean alpha)` Interface to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCopyTexImage2D(int target, int level, int internalformat, int x, int y, int width, int height, int border)` Interface to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`
`void` | `glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)` Interface to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glCullFace(int mode)` Interface to C language function: `void glCullFace(GLenum mode);`
`void` | `glDeleteBuffers(int n, int[] buffers, int buffers_offset)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteBuffers(int n, IntBuffer buffers)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteFramebuffers(int n, int[] framebuffers, int framebuffers_offset)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteFramebuffers(int n, IntBuffer framebuffers)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteRenderbuffers(int n, int[] renderbuffers, int renderbuffers_offset)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteRenderbuffers(int n, IntBuffer renderbuffers)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteTextures(int n, int[] textures, int textures_offset)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDeleteTextures(int n, IntBuffer textures)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDepthFunc(int func)` Interface to C language function: `void glDepthFunc(GLenum func);`
`void` | `glDepthMask(boolean flag)` Interface to C language function: `void glDepthMask(GLboolean flag);`
`void` | `glDepthRange(double zNear, double zFar)`
`void` | `glDepthRangef(float zNear, float zFar)` Interface to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);`
`void` | `glDisable(int cap)` Interface to C language function: `void glDisable(GLenum cap);`
`void` | `glDrawArrays(int mode, int first, int count)` Interface to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`
`void` | `glDrawElements(int mode, int count, int type, Buffer indices)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawElements(int mode, int count, int type, long indices_buffer_offset)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glEnable(int cap)` Interface to C language function: `void glEnable(GLenum cap);`
`void` | `glFinish()` Interface to C language function: `void glFinish(void);`
`void` | `glFlush()` Interface to C language function: `void glFlush(void);`
`void` | `glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)` Interface to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`
`void` | `glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)` Interface to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
`void` | `glFrontFace(int mode)` Interface to C language function: `void glFrontFace(GLenum mode);`
`void` | `glGenBuffers(int n, int[] buffers, int buffers_offset)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenBuffers(int n, IntBuffer buffers)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenerateMipmap(int target)` Interface to C language function: `void glGenerateMipmap(GLenum target);`
`void` | `glGenFramebuffers(int n, int[] framebuffers, int framebuffers_offset)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenFramebuffers(int n, IntBuffer framebuffers)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenRenderbuffers(int n, int[] renderbuffers, int renderbuffers_offset)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenRenderbuffers(int n, IntBuffer renderbuffers)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenTextures(int n, int[] textures, int textures_offset)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGenTextures(int n, IntBuffer textures)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGetBooleanv(int pname, byte[] params, int params_offset)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`void` | `glGetBooleanv(int pname, ByteBuffer params)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`int` | `glGetBoundBuffer(int target)`
`void` | `glGetBufferParameteriv(int target, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetBufferParameteriv(int target, int pname, IntBuffer params)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`int` | `glGetError()` Interface to C language function: `GLenum glGetError(void);`
`void` | `glGetFloatv(int pname, float[] params, int params_offset)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFloatv(int pname, FloatBuffer params)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int target, int attachment, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int target, int attachment, int pname, IntBuffer params)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int pname, int[] params, int params_offset)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int pname, IntBuffer params)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int target, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int target, int pname, IntBuffer params)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`String` | `glGetString(int name)` Interface to C language function: `const GLubyte * glGetString(GLenum name);`
`void` | `glGetTexParameterfv(int target, int pname, float[] params, int params_offset)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameterfv(int target, int pname, FloatBuffer params)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameteriv(int target, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTexParameteriv(int target, int pname, IntBuffer params)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glHint(int target, int mode)` Interface to C language function: `void glHint(GLenum target, GLenum mode);`
`boolean` | `glIsBuffer(int buffer)` Interface to C language function: `GLboolean glIsBuffer(GLuint buffer);`
`boolean` | `glIsEnabled(int cap)` Interface to C language function: `GLboolean glIsEnabled(GLenum cap);`
`boolean` | `glIsFramebuffer(int framebuffer)` Interface to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer);`
`boolean` | `glIsRenderbuffer(int renderbuffer)` Interface to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer);`
`boolean` | `glIsTexture(int texture)` Interface to C language function: `GLboolean glIsTexture(GLuint texture);`
`boolean` | `glIsVBOArrayEnabled()`
`boolean` | `glIsVBOElementEnabled()`
`void` | `glLineWidth(float width)` Interface to C language function: `void glLineWidth(GLfloat width);`
`ByteBuffer` | `glMapBuffer(int target, int access)` Interface to C language function: `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`
`void` | `glPixelStorei(int pname, int param)` Interface to C language function: `void glPixelStorei(GLenum pname, GLint param);`
`void` | `glPolygonOffset(float factor, float units)` Interface to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units);`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, Buffer pixels)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glRenderbufferStorage(int target, int internalformat, int width, int height)` Interface to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`
`void` | `glSampleCoverage(float value, boolean invert)` Interface to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert);`
`void` | `glScissor(int x, int y, int width, int height)` Interface to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glStencilFunc(int func, int ref, int mask)` Interface to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilMask(int mask)` Interface to C language function: `void glStencilMask(GLuint mask);`
`void` | `glStencilOp(int fail, int zfail, int zpass)` Interface to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexParameterf(int target, int pname, float param)` Interface to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexParameterfv(int target, int pname, float[] params, int params_offset)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameterfv(int target, int pname, FloatBuffer params)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameteri(int target, int pname, int param)` Interface to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param);`
`void` | `glTexParameteriv(int target, int pname, int[] params, int params_offset)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexParameteriv(int target, int pname, IntBuffer params)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`boolean` | `glUnmapBuffer(int target)` Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`void` | `glViewport(int x, int y, int width, int height)` Interface to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Field Detail

### GL_DEPTH_BUFFER_BIT

    static final int GL_DEPTH_BUFFER_BIT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BUFFER_BIT

    static final int GL_STENCIL_BUFFER_BIT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_COLOR_BUFFER_BIT

    static final int GL_COLOR_BUFFER_BIT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FALSE

    static final int GL_FALSE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TRUE

    static final int GL_TRUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NONE

    static final int GL_NONE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINTS

    static final int GL_POINTS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINES

    static final int GL_LINES

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE_LOOP

    static final int GL_LINE_LOOP

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE_STRIP

    static final int GL_LINE_STRIP

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TRIANGLES

    static final int GL_TRIANGLES

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TRIANGLE_STRIP

    static final int GL_TRIANGLE_STRIP

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TRIANGLE_FAN

    static final int GL_TRIANGLE_FAN

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ZERO

    static final int GL_ZERO

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ONE

    static final int GL_ONE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SRC_COLOR

    static final int GL_SRC_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC_COLOR

    static final int GL_ONE_MINUS_SRC_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SRC_ALPHA

    static final int GL_SRC_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC_ALPHA

    static final int GL_ONE_MINUS_SRC_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DST_ALPHA

    static final int GL_DST_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_DST_ALPHA

    static final int GL_ONE_MINUS_DST_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DST_COLOR

    static final int GL_DST_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_DST_COLOR

    static final int GL_ONE_MINUS_DST_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SRC_ALPHA_SATURATE

    static final int GL_SRC_ALPHA_SATURATE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FUNC_ADD

    static final int GL_FUNC_ADD

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_BLEND_EQUATION

    static final int GL_BLEND_EQUATION

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_BLEND_EQUATION_RGB

    static final int GL_BLEND_EQUATION_RGB

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_BLEND_EQUATION_ALPHA

    static final int GL_BLEND_EQUATION_ALPHA

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FUNC_SUBTRACT

    static final int GL_FUNC_SUBTRACT

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_FUNC_REVERSE_SUBTRACT

    static final int GL_FUNC_REVERSE_SUBTRACT

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_BLEND_DST_RGB

    static final int GL_BLEND_DST_RGB

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_BLEND_SRC_RGB

    static final int GL_BLEND_SRC_RGB

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_BLEND_DST_ALPHA

    static final int GL_BLEND_DST_ALPHA

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_BLEND_SRC_ALPHA

    static final int GL_BLEND_SRC_ALPHA

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_ARRAY_BUFFER

    static final int GL_ARRAY_BUFFER

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER

    static final int GL_ELEMENT_ARRAY_BUFFER

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_ARRAY_BUFFER_BINDING

    static final int GL_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER_BINDING

    static final int GL_ELEMENT_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_STATIC_DRAW

    static final int GL_STATIC_DRAW

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_DYNAMIC_DRAW

    static final int GL_DYNAMIC_DRAW

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_BUFFER_SIZE

    static final int GL_BUFFER_SIZE

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_BUFFER_USAGE

    static final int GL_BUFFER_USAGE

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_FRONT

    static final int GL_FRONT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BACK

    static final int GL_BACK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FRONT_AND_BACK

    static final int GL_FRONT_AND_BACK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_2D

    static final int GL_TEXTURE_2D

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CULL_FACE

    static final int GL_CULL_FACE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BLEND

    static final int GL_BLEND

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DITHER

    static final int GL_DITHER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_TEST

    static final int GL_STENCIL_TEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_TEST

    static final int GL_DEPTH_TEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SCISSOR_TEST

    static final int GL_SCISSOR_TEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_OFFSET_FILL

    static final int GL_POLYGON_OFFSET_FILL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SAMPLE_ALPHA_TO_COVERAGE

    static final int GL_SAMPLE_ALPHA_TO_COVERAGE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_SAMPLE_COVERAGE

    static final int GL_SAMPLE_COVERAGE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_NO_ERROR

    static final int GL_NO_ERROR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INVALID_ENUM

    static final int GL_INVALID_ENUM

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INVALID_VALUE

    static final int GL_INVALID_VALUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INVALID_OPERATION

    static final int GL_INVALID_OPERATION

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_OUT_OF_MEMORY

    static final int GL_OUT_OF_MEMORY

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CW

    static final int GL_CW

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CCW

    static final int GL_CCW

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE_WIDTH

    static final int GL_LINE_WIDTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALIASED_POINT_SIZE_RANGE

    static final int GL_ALIASED_POINT_SIZE_RANGE

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_ALIASED_LINE_WIDTH_RANGE

    static final int GL_ALIASED_LINE_WIDTH_RANGE

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_CULL_FACE_MODE

    static final int GL_CULL_FACE_MODE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FRONT_FACE

    static final int GL_FRONT_FACE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_RANGE

    static final int GL_DEPTH_RANGE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_WRITEMASK

    static final int GL_DEPTH_WRITEMASK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_CLEAR_VALUE

    static final int GL_DEPTH_CLEAR_VALUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_FUNC

    static final int GL_DEPTH_FUNC

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_CLEAR_VALUE

    static final int GL_STENCIL_CLEAR_VALUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_FUNC

    static final int GL_STENCIL_FUNC

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_FAIL

    static final int GL_STENCIL_FAIL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_PASS_DEPTH_FAIL

    static final int GL_STENCIL_PASS_DEPTH_FAIL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_PASS_DEPTH_PASS

    static final int GL_STENCIL_PASS_DEPTH_PASS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_REF

    static final int GL_STENCIL_REF

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_VALUE_MASK

    static final int GL_STENCIL_VALUE_MASK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_WRITEMASK

    static final int GL_STENCIL_WRITEMASK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_VIEWPORT

    static final int GL_VIEWPORT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SCISSOR_BOX

    static final int GL_SCISSOR_BOX

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_COLOR_CLEAR_VALUE

    static final int GL_COLOR_CLEAR_VALUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_COLOR_WRITEMASK

    static final int GL_COLOR_WRITEMASK

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_ALIGNMENT

    static final int GL_UNPACK_ALIGNMENT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_ALIGNMENT

    static final int GL_PACK_ALIGNMENT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_SIZE

    static final int GL_MAX_TEXTURE_SIZE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_VIEWPORT_DIMS

    static final int GL_MAX_VIEWPORT_DIMS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SUBPIXEL_BITS

    static final int GL_SUBPIXEL_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RED_BITS

    static final int GL_RED_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GREEN_BITS

    static final int GL_GREEN_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BLUE_BITS

    static final int GL_BLUE_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALPHA_BITS

    static final int GL_ALPHA_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_BITS

    static final int GL_DEPTH_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BITS

    static final int GL_STENCIL_BITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_OFFSET_UNITS

    static final int GL_POLYGON_OFFSET_UNITS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_OFFSET_FACTOR

    static final int GL_POLYGON_OFFSET_FACTOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_2D

    static final int GL_TEXTURE_BINDING_2D

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_SAMPLE_BUFFERS

    static final int GL_SAMPLE_BUFFERS

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_SAMPLES

    static final int GL_SAMPLES

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_SAMPLE_COVERAGE_VALUE

    static final int GL_SAMPLE_COVERAGE_VALUE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_SAMPLE_COVERAGE_INVERT

    static final int GL_SAMPLE_COVERAGE_INVERT

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_NUM_COMPRESSED_TEXTURE_FORMATS

    static final int GL_NUM_COMPRESSED_TEXTURE_FORMATS

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMPRESSED_TEXTURE_FORMATS

    static final int GL_COMPRESSED_TEXTURE_FORMATS

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_DONT_CARE

    static final int GL_DONT_CARE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FASTEST

    static final int GL_FASTEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NICEST

    static final int GL_NICEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GENERATE_MIPMAP_HINT

    static final int GL_GENERATE_MIPMAP_HINT

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_BYTE

    static final int GL_BYTE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_BYTE

    static final int GL_UNSIGNED_BYTE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SHORT

    static final int GL_SHORT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT

    static final int GL_UNSIGNED_SHORT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FLOAT

    static final int GL_FLOAT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FIXED

    static final int GL_FIXED

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ALPHA

    static final int GL_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RGB

    static final int GL_RGB

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RGBA

    static final int GL_RGBA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LUMINANCE

    static final int GL_LUMINANCE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA

    static final int GL_LUMINANCE_ALPHA

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4

    static final int GL_UNSIGNED_SHORT_4_4_4_4

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_5_5_5_1

    static final int GL_UNSIGNED_SHORT_5_5_5_1

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5

    static final int GL_UNSIGNED_SHORT_5_6_5

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_NEVER

    static final int GL_NEVER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LESS

    static final int GL_LESS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_EQUAL

    static final int GL_EQUAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LEQUAL

    static final int GL_LEQUAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GREATER

    static final int GL_GREATER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NOTEQUAL

    static final int GL_NOTEQUAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GEQUAL

    static final int GL_GEQUAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALWAYS

    static final int GL_ALWAYS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_KEEP

    static final int GL_KEEP

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_REPLACE

    static final int GL_REPLACE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INCR

    static final int GL_INCR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DECR

    static final int GL_DECR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INVERT

    static final int GL_INVERT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_INCR_WRAP

    static final int GL_INCR_WRAP

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_DECR_WRAP

    static final int GL_DECR_WRAP

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_VENDOR

    static final int GL_VENDOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RENDERER

    static final int GL_RENDERER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_VERSION

    static final int GL_VERSION

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_EXTENSIONS

    static final int GL_EXTENSIONS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NEAREST

    static final int GL_NEAREST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINEAR

    static final int GL_LINEAR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NEAREST_MIPMAP_NEAREST

    static final int GL_NEAREST_MIPMAP_NEAREST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINEAR_MIPMAP_NEAREST

    static final int GL_LINEAR_MIPMAP_NEAREST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_NEAREST_MIPMAP_LINEAR

    static final int GL_NEAREST_MIPMAP_LINEAR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINEAR_MIPMAP_LINEAR

    static final int GL_LINEAR_MIPMAP_LINEAR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_MAG_FILTER

    static final int GL_TEXTURE_MAG_FILTER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_MIN_FILTER

    static final int GL_TEXTURE_MIN_FILTER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_WRAP_S

    static final int GL_TEXTURE_WRAP_S

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_WRAP_T

    static final int GL_TEXTURE_WRAP_T

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE

    static final int GL_TEXTURE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP

    static final int GL_TEXTURE_CUBE_MAP

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP

    static final int GL_TEXTURE_BINDING_CUBE_MAP

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_X

    static final int GL_TEXTURE_CUBE_MAP_POSITIVE_X

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_X

    static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_X

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Y

    static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Y

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

    static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Z

    static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Z

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

    static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_MAX_CUBE_MAP_TEXTURE_SIZE

    static final int GL_MAX_CUBE_MAP_TEXTURE_SIZE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE0

    static final int GL_TEXTURE0

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE1

    static final int GL_TEXTURE1

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE2

    static final int GL_TEXTURE2

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE3

    static final int GL_TEXTURE3

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE4

    static final int GL_TEXTURE4

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE5

    static final int GL_TEXTURE5

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE6

    static final int GL_TEXTURE6

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE7

    static final int GL_TEXTURE7

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE8

    static final int GL_TEXTURE8

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE9

    static final int GL_TEXTURE9

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE10

    static final int GL_TEXTURE10

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE11

    static final int GL_TEXTURE11

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE12

    static final int GL_TEXTURE12

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE13

    static final int GL_TEXTURE13

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE14

    static final int GL_TEXTURE14

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE15

    static final int GL_TEXTURE15

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE16

    static final int GL_TEXTURE16

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE17

    static final int GL_TEXTURE17

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE18

    static final int GL_TEXTURE18

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE19

    static final int GL_TEXTURE19

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE20

    static final int GL_TEXTURE20

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE21

    static final int GL_TEXTURE21

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE22

    static final int GL_TEXTURE22

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE23

    static final int GL_TEXTURE23

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE24

    static final int GL_TEXTURE24

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE25

    static final int GL_TEXTURE25

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE26

    static final int GL_TEXTURE26

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE27

    static final int GL_TEXTURE27

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE28

    static final int GL_TEXTURE28

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE29

    static final int GL_TEXTURE29

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE30

    static final int GL_TEXTURE30

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE31

    static final int GL_TEXTURE31

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_ACTIVE_TEXTURE

    static final int GL_ACTIVE_TEXTURE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_REPEAT

    static final int GL_REPEAT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLAMP_TO_EDGE

    static final int GL_CLAMP_TO_EDGE

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_MIRRORED_REPEAT

    static final int GL_MIRRORED_REPEAT

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_TYPE

    static final int GL_IMPLEMENTATION_COLOR_READ_TYPE

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_FORMAT

    static final int GL_IMPLEMENTATION_COLOR_READ_FORMAT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER

    static final int GL_FRAMEBUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER

    static final int GL_RENDERBUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RGBA4

    static final int GL_RGBA4

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB5_A1

    static final int GL_RGB5_A1

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB565

    static final int GL_RGB565

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT16

    static final int GL_DEPTH_COMPONENT16

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX8

    static final int GL_STENCIL_INDEX8

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_WIDTH

    static final int GL_RENDERBUFFER_WIDTH

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_HEIGHT

    static final int GL_RENDERBUFFER_HEIGHT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT

    static final int GL_RENDERBUFFER_INTERNAL_FORMAT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_RED_SIZE

    static final int GL_RENDERBUFFER_RED_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE

    static final int GL_RENDERBUFFER_GREEN_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE

    static final int GL_RENDERBUFFER_BLUE_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE

    static final int GL_RENDERBUFFER_ALPHA_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE

    static final int GL_RENDERBUFFER_DEPTH_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE

    static final int GL_RENDERBUFFER_STENCIL_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

    static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

    static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

    static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

    static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT0

    static final int GL_COLOR_ATTACHMENT0

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DEPTH_ATTACHMENT

    static final int GL_DEPTH_ATTACHMENT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_STENCIL_ATTACHMENT

    static final int GL_STENCIL_ATTACHMENT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_COMPLETE

    static final int GL_FRAMEBUFFER_COMPLETE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

    static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

    static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS

    static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_FORMATS

    static final int GL_FRAMEBUFFER_INCOMPLETE_FORMATS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED

    static final int GL_FRAMEBUFFER_UNSUPPORTED

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_BINDING

    static final int GL_FRAMEBUFFER_BINDING

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_BINDING

    static final int GL_RENDERBUFFER_BINDING

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE

    static final int GL_MAX_RENDERBUFFER_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION

    static final int GL_INVALID_FRAMEBUFFER_OPERATION

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_HALF_FLOAT

    static final int GL_HALF_FLOAT

  Part of `GL_ARB_half_float_vertex, GL_OES_texture_half_float`

  See Also:
    Constant Field Values

### GL_BUFFER_MAPPED

    static final int GL_BUFFER_MAPPED

  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

  See Also:
    Constant Field Values

### GL_BUFFER_MAP_POINTER

    static final int GL_BUFFER_MAP_POINTER

  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

  See Also:
    Constant Field Values

### GL_RGB8

    static final int GL_RGB8

  Part of `GL_VERSION_1_1, GL_OES_rgb8_rgba8`

  See Also:
    Constant Field Values

### GL_RGBA8

    static final int GL_RGBA8

  Part of `GL_VERSION_1_1, GL_OES_rgb8_rgba8`

  See Also:
    Constant Field Values

### GL_R11F_G11F_B10F

    static final int GL_R11F_G11F_B10F

  Part of `GL_VERSION_3_0, GL_EXT_packed_float`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_10F_11F_11F_REV

    static final int GL_UNSIGNED_INT_10F_11F_11F_REV

  Part of `GL_VERSION_3_0, GL_EXT_packed_float`

  See Also:
    Constant Field Values

### GL_RGBA_SIGNED_COMPONENTS

    static final int GL_RGBA_SIGNED_COMPONENTS

  Part of `GL_EXT_packed_float`

  See Also:
    Constant Field Values

### GL_TEXTURE_2D_ARRAY

    static final int GL_TEXTURE_2D_ARRAY

  Part of `GL_VERSION_3_0, GL_EXT_texture_array`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_ARRAY

    static final int GL_SAMPLER_2D_ARRAY

  Part of `GL_VERSION_3_0, GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_2D_ARRAY

    static final int GL_TEXTURE_BINDING_2D_ARRAY

  Part of `GL_VERSION_3_0, GL_EXT_texture_array`

  See Also:
    Constant Field Values

### GL_MAX_ARRAY_TEXTURE_LAYERS

    static final int GL_MAX_ARRAY_TEXTURE_LAYERS

  Part of `GL_VERSION_3_0, GL_EXT_texture_array`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

    static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

  Part of `GL_ARB_framebuffer_object, GL_EXT_geometry_shader4`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGB_S3TC_DXT1_EXT

    static final int GL_COMPRESSED_RGB_S3TC_DXT1_EXT

  Part of `GL_EXT_texture_compression_s3tc`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT1_EXT

    static final int GL_COMPRESSED_RGBA_S3TC_DXT1_EXT

  Part of `GL_EXT_texture_compression_s3tc`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT3_EXT

    static final int GL_COMPRESSED_RGBA_S3TC_DXT3_EXT

  Part of `GL_EXT_texture_compression_s3tc`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT5_EXT

    static final int GL_COMPRESSED_RGBA_S3TC_DXT5_EXT

  Part of `GL_EXT_texture_compression_s3tc`

  See Also:
    Constant Field Values

### GL_TEXTURE_MAX_ANISOTROPY_EXT

    static final int GL_TEXTURE_MAX_ANISOTROPY_EXT

  Part of `GL_EXT_texture_filter_anisotropic`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT

    static final int GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT

  Part of `GL_EXT_texture_filter_anisotropic`

  See Also:
    Constant Field Values

### GL_AND

    static final int GL_AND

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_AND_INVERTED

    static final int GL_AND_INVERTED

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_AND_REVERSE

    static final int GL_AND_REVERSE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_BLEND_DST

    static final int GL_BLEND_DST

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_BLEND_SRC

    static final int GL_BLEND_SRC

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_BUFFER_ACCESS

    static final int GL_BUFFER_ACCESS

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_CLEAR

    static final int GL_CLEAR

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_COLOR_LOGIC_OP

    static final int GL_COLOR_LOGIC_OP

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_COPY

    static final int GL_COPY

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_COPY_INVERTED

    static final int GL_COPY_INVERTED

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT24

    static final int GL_DEPTH_COMPONENT24

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT32

    static final int GL_DEPTH_COMPONENT32

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_EQUIV

    static final int GL_EQUIV

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_LINE_SMOOTH

    static final int GL_LINE_SMOOTH

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_LINE_SMOOTH_HINT

    static final int GL_LINE_SMOOTH_HINT

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_LOGIC_OP_MODE

    static final int GL_LOGIC_OP_MODE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_MULTISAMPLE

    static final int GL_MULTISAMPLE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_NAND

    static final int GL_NAND

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_NOOP

    static final int GL_NOOP

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_NOR

    static final int GL_NOR

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_OR

    static final int GL_OR

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_OR_INVERTED

    static final int GL_OR_INVERTED

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_OR_REVERSE

    static final int GL_OR_REVERSE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_POINT_FADE_THRESHOLD_SIZE

    static final int GL_POINT_FADE_THRESHOLD_SIZE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_POINT_SIZE

    static final int GL_POINT_SIZE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_SAMPLE_ALPHA_TO_ONE

    static final int GL_SAMPLE_ALPHA_TO_ONE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_SET

    static final int GL_SET

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_SMOOTH_LINE_WIDTH_RANGE

    static final int GL_SMOOTH_LINE_WIDTH_RANGE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_SMOOTH_POINT_SIZE_RANGE

    static final int GL_SMOOTH_POINT_SIZE_RANGE

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX1

    static final int GL_STENCIL_INDEX1

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX4

    static final int GL_STENCIL_INDEX4

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_WRITE_ONLY

    static final int GL_WRITE_ONLY

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

### GL_XOR

    static final int GL_XOR

  Common in ES1, GL2 and GL3

  See Also:
    Constant Field Values

Method Detail

### glActiveTexture

    void glActiveTexture(int texture)

  Interface to C language function:
  `void glActiveTexture(GLenum texture);`

### glBindBuffer

    void glBindBuffer(int target,
                      int buffer)

  Interface to C language function:
  `void glBindBuffer(GLenum target, GLuint buffer);`

### glBindFramebuffer

    void glBindFramebuffer(int target,
                           int framebuffer)

  Interface to C language function:
  `void glBindFramebuffer(GLenum target, GLuint framebuffer);`

### glBindRenderbuffer

    void glBindRenderbuffer(int target,
                            int renderbuffer)

  Interface to C language function:
  `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`

### glBindTexture

    void glBindTexture(int target,
                       int texture)

  Interface to C language function:
  `void glBindTexture(GLenum target, GLuint texture);`

### glBlendEquation

    void glBlendEquation(int mode)

  Interface to C language function:
  `void glBlendEquation(GLenum mode);`

### glBlendEquationSeparate

    void glBlendEquationSeparate(int modeRGB,
                                 int modeAlpha)

  Interface to C language function:
  `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`

### glBlendFunc

    void glBlendFunc(int sfactor,
                     int dfactor)

  Interface to C language function:
  `void glBlendFunc(GLenum sfactor, GLenum dfactor);`

### glBlendFuncSeparate

    void glBlendFuncSeparate(int srcRGB,
                             int dstRGB,
                             int srcAlpha,
                             int dstAlpha)

  Interface to C language function:
  `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`

### glBufferData

    void glBufferData(int target,
                      int size,
                      Buffer data,
                      int usage)

  Interface to C language function:
  `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`

### glBufferSubData

    void glBufferSubData(int target,
                         int offset,
                         int size,
                         Buffer data)

  Interface to C language function:
  `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`

### glCheckFramebufferStatus

    int glCheckFramebufferStatus(int target)

  Interface to C language function:
  `GLenum glCheckFramebufferStatus(GLenum target);`

### glClear

    void glClear(int mask)

  Interface to C language function:
  `void glClear(GLbitfield mask);`

### glClearColor

    void glClearColor(float red,
                      float green,
                      float blue,
                      float alpha)

  Interface to C language function:
  `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

### glClearDepthf

    void glClearDepthf(float depth)

  Interface to C language function:
  `void glClearDepthf(GLclampf depth);`

### glClearStencil

    void glClearStencil(int s)

  Interface to C language function:
  `void glClearStencil(GLint s);`

### glColorMask

    void glColorMask(boolean red,
                     boolean green,
                     boolean blue,
                     boolean alpha)

  Interface to C language function:
  `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                Buffer data)

  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexImage2D

    void glCompressedTexImage2D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int border,
                                int imageSize,
                                long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   Buffer data)

  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage2D

    void glCompressedTexSubImage2D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int width,
                                   int height,
                                   int format,
                                   int imageSize,
                                   long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

### glCopyTexImage2D

    void glCopyTexImage2D(int target,
                          int level,
                          int internalformat,
                          int x,
                          int y,
                          int width,
                          int height,
                          int border)

  Interface to C language function:
  `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`

### glCopyTexSubImage2D

    void glCopyTexSubImage2D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int x,
                             int y,
                             int width,
                             int height)

  Interface to C language function:
  `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`

### glCullFace

    void glCullFace(int mode)

  Interface to C language function:
  `void glCullFace(GLenum mode);`

### glDeleteBuffers

    void glDeleteBuffers(int n,
                         IntBuffer buffers)

  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

### glDeleteBuffers

    void glDeleteBuffers(int n,
                         int[] buffers,
                         int buffers_offset)

  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

### glDeleteFramebuffers

    void glDeleteFramebuffers(int n,
                              IntBuffer framebuffers)

  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

### glDeleteFramebuffers

    void glDeleteFramebuffers(int n,
                              int[] framebuffers,
                              int framebuffers_offset)

  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

### glDeleteRenderbuffers

    void glDeleteRenderbuffers(int n,
                               IntBuffer renderbuffers)

  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

### glDeleteRenderbuffers

    void glDeleteRenderbuffers(int n,
                               int[] renderbuffers,
                               int renderbuffers_offset)

  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

### glDeleteTextures

    void glDeleteTextures(int n,
                          IntBuffer textures)

  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

### glDeleteTextures

    void glDeleteTextures(int n,
                          int[] textures,
                          int textures_offset)

  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

### glDepthFunc

    void glDepthFunc(int func)

  Interface to C language function:
  `void glDepthFunc(GLenum func);`

### glDepthMask

    void glDepthMask(boolean flag)

  Interface to C language function:
  `void glDepthMask(GLboolean flag);`

### glDepthRangef

    void glDepthRangef(float zNear,
                       float zFar)

  Interface to C language function:
  `void glDepthRangef(GLclampf zNear, GLclampf zFar);`

### glDisable

    void glDisable(int cap)

  Interface to C language function:
  `void glDisable(GLenum cap);`

### glDrawArrays

    void glDrawArrays(int mode,
                      int first,
                      int count)

  Interface to C language function:
  `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`

### glDrawElements

    void glDrawElements(int mode,
                        int count,
                        int type,
                        Buffer indices)

  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

### glDrawElements

    void glDrawElements(int mode,
                        int count,
                        int type,
                        long indices_buffer_offset)

  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

### glEnable

    void glEnable(int cap)

  Interface to C language function:
  `void glEnable(GLenum cap);`

### glFinish

    void glFinish()

  Interface to C language function:
  `void glFinish(void);`

### glFlush

    void glFlush()

  Interface to C language function:
  `void glFlush(void);`

### glFramebufferRenderbuffer

    void glFramebufferRenderbuffer(int target,
                                   int attachment,
                                   int renderbuffertarget,
                                   int renderbuffer)

  Interface to C language function:
  `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`

### glFramebufferTexture2D

    void glFramebufferTexture2D(int target,
                                int attachment,
                                int textarget,
                                int texture,
                                int level)

  Interface to C language function:
  `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`

### glFrontFace

    void glFrontFace(int mode)

  Interface to C language function:
  `void glFrontFace(GLenum mode);`

### glGenBuffers

    void glGenBuffers(int n,
                      IntBuffer buffers)

  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

### glGenBuffers

    void glGenBuffers(int n,
                      int[] buffers,
                      int buffers_offset)

  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

### glGenFramebuffers

    void glGenFramebuffers(int n,
                           IntBuffer framebuffers)

  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

### glGenFramebuffers

    void glGenFramebuffers(int n,
                           int[] framebuffers,
                           int framebuffers_offset)

  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

### glGenRenderbuffers

    void glGenRenderbuffers(int n,
                            IntBuffer renderbuffers)

  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

### glGenRenderbuffers

    void glGenRenderbuffers(int n,
                            int[] renderbuffers,
                            int renderbuffers_offset)

  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

### glGenTextures

    void glGenTextures(int n,
                       IntBuffer textures)

  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

### glGenTextures

    void glGenTextures(int n,
                       int[] textures,
                       int textures_offset)

  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

### glGenerateMipmap

    void glGenerateMipmap(int target)

  Interface to C language function:
  `void glGenerateMipmap(GLenum target);`

### glGetBooleanv

    void glGetBooleanv(int pname,
                       ByteBuffer params)

  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

### glGetBooleanv

    void glGetBooleanv(int pname,
                       byte[] params,
                       int params_offset)

  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

### glGetBufferParameteriv

    void glGetBufferParameteriv(int target,
                                int pname,
                                IntBuffer params)

  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

### glGetBufferParameteriv

    void glGetBufferParameteriv(int target,
                                int pname,
                                int[] params,
                                int params_offset)

  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

### glGetError

    int glGetError()

  Interface to C language function:
  `GLenum glGetError(void);`

### glGetFloatv

    void glGetFloatv(int pname,
                     FloatBuffer params)

  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

### glGetFloatv

    void glGetFloatv(int pname,
                     float[] params,
                     int params_offset)

  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

### glGetFramebufferAttachmentParameteriv

    void glGetFramebufferAttachmentParameteriv(int target,
                                               int attachment,
                                               int pname,
                                               IntBuffer params)

  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

### glGetFramebufferAttachmentParameteriv

    void glGetFramebufferAttachmentParameteriv(int target,
                                               int attachment,
                                               int pname,
                                               int[] params,
                                               int params_offset)

  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

### glGetIntegerv

    void glGetIntegerv(int pname,
                       IntBuffer params)

  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

### glGetIntegerv

    void glGetIntegerv(int pname,
                       int[] params,
                       int params_offset)

  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

### glGetRenderbufferParameteriv

    void glGetRenderbufferParameteriv(int target,
                                      int pname,
                                      IntBuffer params)

  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

### glGetRenderbufferParameteriv

    void glGetRenderbufferParameteriv(int target,
                                      int pname,
                                      int[] params,
                                      int params_offset)

  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

### glGetString

    String glGetString(int name)

  Interface to C language function:
  `const GLubyte * glGetString(GLenum name);`

### glGetTexParameterfv

    void glGetTexParameterfv(int target,
                             int pname,
                             FloatBuffer params)

  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

### glGetTexParameterfv

    void glGetTexParameterfv(int target,
                             int pname,
                             float[] params,
                             int params_offset)

  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

### glGetTexParameteriv

    void glGetTexParameteriv(int target,
                             int pname,
                             IntBuffer params)

  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

### glGetTexParameteriv

    void glGetTexParameteriv(int target,
                             int pname,
                             int[] params,
                             int params_offset)

  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

### glHint

    void glHint(int target,
                int mode)

  Interface to C language function:
  `void glHint(GLenum target, GLenum mode);`

### glIsBuffer

    boolean glIsBuffer(int buffer)

  Interface to C language function:
  `GLboolean glIsBuffer(GLuint buffer);`

### glIsEnabled

    boolean glIsEnabled(int cap)

  Interface to C language function:
  `GLboolean glIsEnabled(GLenum cap);`

### glIsFramebuffer

    boolean glIsFramebuffer(int framebuffer)

  Interface to C language function:
  `GLboolean glIsFramebuffer(GLuint framebuffer);`

### glIsRenderbuffer

    boolean glIsRenderbuffer(int renderbuffer)

  Interface to C language function:
  `GLboolean glIsRenderbuffer(GLuint renderbuffer);`

### glIsTexture

    boolean glIsTexture(int texture)

  Interface to C language function:
  `GLboolean glIsTexture(GLuint texture);`

### glLineWidth

    void glLineWidth(float width)

  Interface to C language function:
  `void glLineWidth(GLfloat width);`

### glMapBuffer

    ByteBuffer glMapBuffer(int target,
                           int access)

  Interface to C language function:
  `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`

### glPixelStorei

    void glPixelStorei(int pname,
                       int param)

  Interface to C language function:
  `void glPixelStorei(GLenum pname, GLint param);`

### glPolygonOffset

    void glPolygonOffset(float factor,
                         float units)

  Interface to C language function:
  `void glPolygonOffset(GLfloat factor, GLfloat units);`

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      Buffer pixels)

  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      long pixels_buffer_offset)

  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

### glRenderbufferStorage

    void glRenderbufferStorage(int target,
                               int internalformat,
                               int width,
                               int height)

  Interface to C language function:
  `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`

### glSampleCoverage

    void glSampleCoverage(float value,
                          boolean invert)

  Interface to C language function:
  `void glSampleCoverage(GLclampf value, GLboolean invert);`

### glScissor

    void glScissor(int x,
                   int y,
                   int width,
                   int height)

  Interface to C language function:
  `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`

### glStencilFunc

    void glStencilFunc(int func,
                       int ref,
                       int mask)

  Interface to C language function:
  `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`

### glStencilMask

    void glStencilMask(int mask)

  Interface to C language function:
  `void glStencilMask(GLuint mask);`

### glStencilOp

    void glStencilOp(int fail,
                     int zfail,
                     int zpass)

  Interface to C language function:
  `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      Buffer pixels)

  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

### glTexImage2D

    void glTexImage2D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int border,
                      int format,
                      int type,
                      long pixels_buffer_offset)

  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

### glTexParameterf

    void glTexParameterf(int target,
                         int pname,
                         float param)

  Interface to C language function:
  `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`

### glTexParameterfv

    void glTexParameterfv(int target,
                          int pname,
                          FloatBuffer params)

  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

### glTexParameterfv

    void glTexParameterfv(int target,
                          int pname,
                          float[] params,
                          int params_offset)

  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

### glTexParameteri

    void glTexParameteri(int target,
                         int pname,
                         int param)

  Interface to C language function:
  `void glTexParameteri(GLenum target, GLenum pname, GLint param);`

### glTexParameteriv

    void glTexParameteriv(int target,
                          int pname,
                          IntBuffer params)

  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

### glTexParameteriv

    void glTexParameteriv(int target,
                          int pname,
                          int[] params,
                          int params_offset)

  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         Buffer pixels)

  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

### glTexSubImage2D

    void glTexSubImage2D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int width,
                         int height,
                         int format,
                         int type,
                         long pixels_buffer_offset)

  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

### glUnmapBuffer

    boolean glUnmapBuffer(int target)

  Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);`
  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

### glViewport

    void glViewport(int x,
                    int y,
                    int width,
                    int height)

  Interface to C language function:
  `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`

### glClearDepth

    void glClearDepth(double depth)

### glDepthRange

    void glDepthRange(double zNear,
                      double zFar)

### glGetBoundBuffer

    int glGetBoundBuffer(int target)

### glIsVBOArrayEnabled

    boolean glIsVBOArrayEnabled()

### glIsVBOElementEnabled

    boolean glIsVBOElementEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.